Bug 199241 - Remove all selection view animations before dumping results
Summary: Remove all selection view animations before dumping results
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Local Build
Hardware: iPhone / iPad iOS 12
: P2 Normal
Assignee: Daniel Bates
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-06-26 16:10 PDT by Daniel Bates
Modified: 2019-09-09 11:57 PDT (History)
5 users (show)

See Also:


Attachments
Patch (1.65 KB, patch)
2019-06-26 16:16 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews125 for ios-simulator-wk2 (2.89 MB, application/zip)
2019-06-26 18:10 PDT, Build Bot
no flags Details
Patch (1.88 KB, patch)
2019-08-22 15:44 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff
Patch (1.89 KB, patch)
2019-08-22 15:45 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Bates 2019-06-26 16:10:52 PDT
Let's try an idea Wenson mentioned to reduce selection test flakiness on iOS.
Comment 1 Daniel Bates 2019-06-26 16:16:26 PDT
Created attachment 372963 [details]
Patch
Comment 2 Daniel Bates 2019-06-26 16:52:40 PDT
Oops
Comment 3 Build Bot 2019-06-26 18:10:43 PDT
Comment on attachment 372963 [details]
Patch

Attachment 372963 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12585766

New failing tests:
webanimations/accelerated-transition-by-removing-property.html
Comment 4 Build Bot 2019-06-26 18:10:44 PDT
Created attachment 372983 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.5
Comment 5 Wenson Hsieh 2019-06-27 09:49:38 PDT
Comment on attachment 372963 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=372963&action=review

> Tools/WebKitTestRunner/ios/TestControllerIOS.mm:85
> +    [[mainWebView()->platformView() scrollView] _removeAllAnimations:YES];

As Tim and I mentioned, this should just be on the selection view...
Comment 6 Daniel Bates 2019-06-27 10:14:33 PDT
(In reply to Wenson Hsieh from comment #5)
> Comment on attachment 372963 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=372963&action=review
> 
> > Tools/WebKitTestRunner/ios/TestControllerIOS.mm:85
> > +    [[mainWebView()->platformView() scrollView] _removeAllAnimations:YES];
> 
> As Tim and I mentioned, this should just be on the selection view...

That's what the Oops was 😀
Comment 7 Daniel Bates 2019-08-22 15:44:36 PDT
Created attachment 377062 [details]
Patch
Comment 8 Daniel Bates 2019-08-22 15:45:43 PDT
Created attachment 377063 [details]
Patch
Comment 9 Daniel Bates 2019-09-09 11:56:54 PDT
Comment on attachment 377063 [details]
Patch

Clearing flags on attachment: 377063

Committed r249653: <https://trac.webkit.org/changeset/249653>
Comment 10 Daniel Bates 2019-09-09 11:56:55 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 Radar WebKit Bug Importer 2019-09-09 11:57:23 PDT
<rdar://problem/55191985>
Comment 12 Radar WebKit Bug Importer 2019-09-09 11:57:24 PDT
<rdar://problem/55191983>